/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	ロールデータ取得処理Actionクラス
//
//		変更履歴
//			2005.02.16  新規作成  氏名 石崎賢太郎
//
//	機能
//
//	ロールデータ取得処理Actionクラスです。
//
/////////////////////////////////////////////////////////////////
package jp.co.ntt.lms.xmf.actions.xmo.RoleAssignments;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.ntt.lms.xmo.Roles.RolesClient;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * ロールデータ取得処理Actionクラスです。
 * 
 * @author Kentaro Ishizaki (UNITEC)
 * @version 1.0
 */
public class RoleAssignmentsGetRolesDataAction extends Action
{
	/**
	 * strutsフレームワークから呼ばれるメソッドです。
	 * 
	 * @param mapping マッピングオブジェクト。
	 * @param form アクションフォームオブジェクト。
	 * @param request リクエストオブジェクト。
	 * @param response レスポンスオブジェクト。
	 * @return ActionForward アクションフォワードオブジェクト。
	 * @throws Exception
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
	{
		try{
			////////////////////////////////////
			// 検索処理
			////////////////////////////////////
			// ロールXMOクライアントのインスタンス化
			RolesClient objRoles = new RolesClient();

			// 検索実行
			objRoles.select();

			// 権限情報保存バッファ
			StringBuffer strGetLine = new StringBuffer();

			// データ取得
			while( objRoles.next() ) {
				// ロールＩＤの取得
				String strRoleID = objRoles.getRoleID();
				// ロール名称の取得
				String strRoleName = objRoles.getRoleName();

				//メニュー情報文字列を作成します
				strGetLine.append(strRoleName + "$");	//ポップアップタイトル
				strGetLine.append("javascript:select_menu(" + strRoleID + ", '" + strRoleName + "')" + "$");	//ポップアップアクション
				strGetLine.append("Function" + ";");	//ターゲット
			}
			
			request.setAttribute("strRolesData", strGetLine.toString());
			return mapping.findForward("success");
		}
		catch( Exception e ) {
			e.printStackTrace();
			request.setAttribute("strRolesData", "err");
			return mapping.findForward("success");
		}
	}
}
